# bsd_mpeg1 Class Reference

`#include <trgt_mpg.h>`

Inheritance diagram for bsd_mpeg1:

List of all members.

## Public Member Functions

| bsd_mpeg1 (const char *filename)
virtual bool | set_rend_desc (synfig::RendDesc *desc)
| Sets the RendDesc for the Target to desc.
virtual bool | start_frame (synfig::ProgressCallback *cb)
virtual void | end_frame ()
virtual | ~bsd_mpeg1 ()
virtual unsigned char * | start_scanline (int scanline)
virtual bool | end_scanline (void)

## Static Public Member Functions

static synfig::Target * | New (const char *filename)

## Static Public Attributes

static const char | Name [] = "mpeg1"
static const char | Ext [] = "mpg"

## Constructor & Destructor Documentation

bsd_mpeg1::bsd_mpeg1 | ( | const char * | filename | ) |

References tmp_dir.

Referenced by New().

bsd_mpeg1::~bsd_mpeg1 | ( |  | ) | `[virtual]`

## Member Function Documentation

bool bsd_mpeg1::set_rend_desc | ( | synfig::RendDesc * | d | ) | `[virtual]`

Sets the RendDesc for the Target to desc.

If there are any parts of desc that the render target is not capable of doing, the render target will adjust desc to fit its needs.

Reimplemented from synfig::Target.

References synfig::Target::desc, synfig::RendDesc::get_frame_end(), synfig::RendDesc::get_frame_rate(), synfig::RendDesc::get_frame_start(), synfig::RendDesc::get_h(), synfig::RendDesc::get_w(), synfig::RendDesc::set_frame_rate(), synfig::RendDesc::set_h(), synfig::Target::set_rend_desc(), synfig::RendDesc::set_w(), and tmp_dir.

bool bsd_mpeg1::start_frame | ( | synfig::ProgressCallback * | cb | ) | `[virtual]`

void bsd_mpeg1::end_frame | ( |  | ) | `[virtual]`

unsigned char * bsd_mpeg1::start_scanline | ( | int | scanline | ) | `[virtual]`

bool bsd_mpeg1::end_scanline | ( | void |  | ) | `[virtual]`

Target * bsd_mpeg1::New | ( | const char * | filename | ) | `[static]`

References bsd_mpeg1().

## Member Data Documentation

const char bsd_mpeg1::Name = "mpeg1"`[static]`

const char bsd_mpeg1::Ext = "mpg"`[static]`

The documentation for this class was generated from the following files:

- trgt_mpg.h
- trgt_mpg.cpp